org.apache.poi.xssf.extractor

## Class XSSFBEventBasedExcelExtractor

- java.lang.Object
- - org.apache.poi.extractor.POITextExtractor
  - - org.apache.poi.ooxml.extractor.POIXMLTextExtractor
    - - org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor
      - - org.apache.poi.xssf.extractor.XSSFBEventBasedExcelExtractor

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, ExcelExtractor

      public class XSSFBEventBasedExcelExtractor
      extends XSSFEventBasedExcelExtractor
      implements ExcelExtractor

  Implementation of a text extractor or xlsb Excel files that uses SAX-like binary parsing.
  Since:
    3.16-beta3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor

      `XSSFEventBasedExcelExtractor.SheetTextExtractor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static XSSFRelation[]` | `SUPPORTED_TYPES`

    - ### Fields inherited from class org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor

      `concatenatePhoneticRuns, container, formulasNotResults, includeCellComments, includeHeadersFooters, includeSheetNames, includeTextBoxes, locale, properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSSFBEventBasedExcelExtractor(OPCPackage container)`
    `XSSFBEventBasedExcelExtractor(java.lang.String path)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Processes the file and returns the text
    `static void` | `main(java.lang.String[] args)`
    `void` | `processSheet(XSSFSheetXMLHandler.SheetContentsHandler sheetContentsExtractor, XSSFBStylesTable styles, XSSFBCommentsTable comments, SharedStrings strings, java.io.InputStream sheetInputStream)` Processes the given sheet
    `void` | `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false This is currently unsupported for xssfb
    `void` | `setHandleHyperlinksInCells(boolean handleHyperlinksInCells)`

    - ### Methods inherited from class org.apache.poi.xssf.extractor.XSSFEventBasedExcelExtractor

      `close, createSharedStringsTable, getCoreProperties, getCustomProperties, getExtendedProperties, getFormulasNotResults, getIncludeCellComments, getIncludeHeadersFooters, getIncludeSheetNames, getIncludeTextBoxes, getLocale, getPackage, processSheet, setConcatenatePhoneticRuns, setIncludeCellComments, setIncludeHeadersFooters, setIncludeSheetNames, setIncludeTextBoxes, setLocale`

    - ### Methods inherited from class org.apache.poi.ooxml.extractor.POIXMLTextExtractor

      `checkMaxTextSize, getDocument, getMetadataTextExtractor`

    - ### Methods inherited from class org.apache.poi.extractor.POITextExtractor

      `setFilesystem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.ss.extractor.ExcelExtractor

      `setIncludeCellComments, setIncludeHeadersFooters, setIncludeSheetNames`

- - ### Field Detail

    - #### SUPPORTED_TYPES

          public static final XSSFRelation[] SUPPORTED_TYPES

  - ### Constructor Detail

    - #### XSSFBEventBasedExcelExtractor

          public XSSFBEventBasedExcelExtractor(java.lang.String path)
                                        throws org.apache.xmlbeans.XmlException,
                                               OpenXML4JException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `OpenXML4JException`
        `java.io.IOException`

    - #### XSSFBEventBasedExcelExtractor

          public XSSFBEventBasedExcelExtractor(OPCPackage container)
                                        throws org.apache.xmlbeans.XmlException,
                                               OpenXML4JException,
                                               java.io.IOException

      Throws:
        `org.apache.xmlbeans.XmlException`
        `OpenXML4JException`
        `java.io.IOException`

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### setHandleHyperlinksInCells

          public void setHandleHyperlinksInCells(boolean handleHyperlinksInCells)

    - #### setFormulasNotResults

          public void setFormulasNotResults(boolean formulasNotResults)

      Should we return the formula itself, and not the result it produces? Default is false This is currently unsupported for xssfb
      Specified by:
        `setFormulasNotResults` in interface `ExcelExtractor`
      Overrides:
        `setFormulasNotResults` in class `XSSFEventBasedExcelExtractor`
      Parameters:
        `formulasNotResults` - `true` if the formula itself is returned

    - #### processSheet

          public void processSheet(XSSFSheetXMLHandler.SheetContentsHandler sheetContentsExtractor,
                                   XSSFBStylesTable styles,
                                   XSSFBCommentsTable comments,
                                   SharedStrings strings,
                                   java.io.InputStream sheetInputStream)
                            throws java.io.IOException

      Processes the given sheet
      Throws:
        `java.io.IOException`

    - #### getText

          public java.lang.String getText()

      Processes the file and returns the text
      Specified by:
        `getText` in interface `ExcelExtractor`
      Overrides:
        `getText` in class `XSSFEventBasedExcelExtractor`
      Returns:
        All the text from the document

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.